List Comments
- GET /comments/{resource_type}/{resource_id}
Retrieves all the comments for a given Resource, in reverse modified time order.
Path Parameters
-
resource_typestringrequired -
The kind of Resource that a Comment belongs to. Should be one of [elasticsearch, kibana, apm, appsearch, enterprise_search, integrations_server, allocator, constructor, runner, proxy].
-
resource_idstringrequired -
Id of the Resource that a Comment belongs to.
Response
The Comments
-
valuesCommentWithMetarequired -
The list of comments
-
commentCommentrequired -
A persisted Comment
-
metadataMetadatarequired -
Metadata of an entity
-
created_timestringrequired -
Creation time
-
modified_timestringrequired -
Modification time
-
versionstringrequired -
Version